osgAnimation::TemplateLinearInterpolator< TYPE, KEY > Class Template Reference

`#include <Interpolator>`

Inheritance diagram for osgAnimation::TemplateLinearInterpolator< TYPE, KEY >:

## Public Member Functions

| TemplateLinearInterpolator ()
void | getValue (const TemplateKeyframeContainer< KEY > &keyframes, double time, TYPE &result) const
Public Member Functions inherited from osgAnimation::TemplateInterpolatorBase< TYPE, TYPE >
| TemplateInterpolatorBase ()
int | getKeyIndexFromTime (const TemplateKeyframeContainer< TYPE > &keys, double time) const

## Additional Inherited Members

Public Types inherited from osgAnimation::TemplateInterpolatorBase< TYPE, TYPE >
typedef TYPE | KeyframeType
typedef TYPE | UsingType

## Constructor & Destructor Documentation

## TemplateLinearInterpolator()

template<class TYPE, class KEY = TYPE>

osgAnimation::TemplateLinearInterpolator< TYPE, KEY >::TemplateLinearInterpolator | ( |  | ) |

inline

## Member Function Documentation

## getValue()

template<class TYPE, class KEY = TYPE>

void osgAnimation::TemplateLinearInterpolator< TYPE, KEY >::getValue | ( | const TemplateKeyframeContainer< KEY > & | keyframes,
|  | double | time,
|  | TYPE & | result ) const

inline

The documentation for this class was generated from the following file:

- osgAnimation/Interpolator